From rshah1@intel.com Thu Jun  2 21:03:50 2005
Message-Id: <20050602224326.656154000@csdlinux-1>
Date: Thu, 02 Jun 2005 15:41:48 -0700
From: rajesh.shah@intel.com
To: gregkh@suse.de, ink@jurassic.park.msu.ru, ak@suse.de, len.brown@intel.com, akpm@osdl.org
Subject: PCI: Increase the number of PCI bus resources


This patch increases the number of resource pointers in the
pci_bus structure. This is needed to store >4 resource ranges
for host bridges and transparent PCI bridges. With this change,
all PCI buses will have more resource pointers, but most PCI
buses will only use the first 3 or 4, the remaining being NULL.
The PCI core already deals with this correctly.

Signed-off-by: Rajesh Shah <rajesh.shah@intel.com>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
 include/linux/pci.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

--- gregkh-2.6.orig/include/linux/pci.h	2005-06-05 23:30:44.000000000 -0700
+++ gregkh-2.6/include/linux/pci.h	2005-06-05 23:53:44.000000000 -0700
@@ -586,7 +586,7 @@
 #define PCI_NUM_RESOURCES 11
 
 #ifndef PCI_BUS_NUM_RESOURCES
-#define PCI_BUS_NUM_RESOURCES 4
+#define PCI_BUS_NUM_RESOURCES 8
 #endif
   
 #define PCI_REGION_FLAG_MASK 0x0fU	/* These bits of resource flags tell us the PCI region flags */
